Package net.shibboleth.idp.attribute.resolver

# Class ResolverAttributeDefinitionDependency

java.lang.Object
net.shibboleth.idp.attribute.resolver.ResolverAttributeDefinitionDependency

public final class ResolverAttributeDefinitionDependency extends Object
A Dependency that references to an Attribute Definition.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`dependencyPluginId`
ID of the plugin that will produce the attribute.

## Constructor Summary

Constructors
Constructor
Description
`ResolverAttributeDefinitionDependency(String pluginId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDependencyPluginId()`
Gets the ID of the plugin that will produce the attribute.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dependencyPluginId

@Nonnull @NotEmpty private final String dependencyPluginId
ID of the plugin that will produce the attribute.

## Constructor Details

### ResolverAttributeDefinitionDependency

public ResolverAttributeDefinitionDependency(@Nonnull @NotEmpty @ParameterName(name="pluginId") String pluginId)
Constructor.

Parameters:
  `pluginId` - ID of the plugin that will produce the attribute, never null or empty

## Method Details

### getDependencyPluginId

@Nonnull public String getDependencyPluginId()
Gets the ID of the plugin that will produce the attribute.

Returns:
  ID of the plugin that will produce the attribute, never null or empty

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`